> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate report to Google Drive



## OpenAPI

````yaml api-reference/openapi.yaml post /generateReportToGDrive
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /generateReportToGDrive:
    post:
      summary: Generate report to Google Drive
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportDownloadToGDriveRequest'
      responses:
        '200':
          description: Report generated successfully
        '401':
          description: Unauthorized
        '404':
          description: Report not found
      security:
        - bearerAuth: []
components:
  schemas:
    ReportDownloadToGDriveRequest:
      type: object
      required:
        - job_id
      properties:
        job_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````